Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718948 - <media-gfx/imagemagick-{6.9.11.7,7.0.10.7}: Buffer overflow in XPM coder
Summary: <media-gfx/imagemagick-{6.9.11.7,7.0.10.7}: Buffer overflow in XPM coder
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [noglsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-23 00:36 UTC by Sam James
Modified: 2020-07-27 20:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-04-23 00:36:07 UTC
https://github.com/ImageMagick/ImageMagick/issues/1895

----
Fixed in (not in tree yet) 7.0.10-7 [0]:
"Fix an unconditional jump for the XPM coder (reference https://github.com/ImageMagick/ImageMagick/issues/1895)."

[0] https://imagemagick.org/script/changelog.php
Comment 1 Sam James archtester gentoo-dev Security 2020-04-23 00:36:26 UTC
@maintainer(s), please create an appropriate ebuild
Comment 2 Sam James archtester gentoo-dev Security 2020-04-23 00:37:51 UTC
Same applies to 6.x series:
"2020-04-07 6.9.11-7 Cristy 
Fix erroneous "insufficient image data" exception (reference https://github.com/ImageMagick/ImageMagick/issues/1883).
Fix an unconditional jump for the XPM coder (reference https://github.com/ImageMagick/ImageMagick/issues/1895)."

so please bump that to 6.9.11-7 too.
Comment 3 Sam James archtester gentoo-dev Security 2020-05-23 17:36:47 UTC
Already stabled etc.